Scrum - Defect #932

When | installed scrum, calendar page show 500 error
2015-01-14 04:02 - Lin Ye

Status: Rejected

Priority: High

Category:

Target version:

Source: Customer Blocked:
Detected on version: Scrum v0.8.0 Alone:
Description

log

Connecting to database specified by database.yml

Creating scope :sorted. Overwriting existing method User.sorted.

Creating scope :sorted. Overwriting existing method Group.sorted.

Creating scope :system. Overwriting existing method Enumeration.system.

Started GET "/projects/youqf_home_page/issues/calendar" for 192.168.233.1 at 2015-01-14 10:56:20 +0800

Processing by CalendarsController#show as HTML

Parameters: {"project_id"=>"youqf_home_page"}

Current user: yourlin (id=5)

Query::Statementinvalid: Mysql2::Error: Column 'start_date' in where clause is ambiguous: SELECT “issues’."id” AS t0_r0,

‘issues’. tracker_id" AS t0_r1, “issues’. project_id" AS t0_r2, “issues’. subject” AS t0_r3, “issues’. description” AS t0_r4,
‘issues’.’due_date” AS t0_r5, “issues’. category_id" AS t0_r6, ‘issues . status_id" AS t0_r7, “issues’."assigned_to_id" AS t0_r8,
‘issues’. priority_id" AS t0_r9, “issues’. fixed_version_id" AS t0_r10, “issues’.’author_id" AS t0_r11, “issues’.’lock_version" AS
t0_r12, “issues’.’created_on" AS t0_r13, “issues’.’'updated_on" AS t0_r14, “issues’. start_date’ AS t0_r15, “issues’.’done_ratio” AS
t0_r16, “issues’. estimated_hours AS t0_r17, “issues . parent_id" AS t0_r18, “issues’.’root_id" AS t0_r19, “issues’.’Ift" AS t0_r20,
‘issues’.’rgt” AS t0_r21, “issues’."is_private® AS t0_r22, “issues’. closed_on" AS t0_r23, “issues’. sprint_id" AS t0_r24,

‘issues’. position” AS t0_r25, “projects’.’id” AS t1_r0, "projects’."name’ AS t1_r1, “projects’. description” AS t1_r2,

‘projects’." homepage” AS t1_r3, “projects’.’is_public’ AS t1_r4, "projects’." parent_id" AS t1_r5, “projects’. created_on" AS t1_r6,
‘projects’.’updated_on" AS t1_r7, “projects’.’identifier’ AS t1_r8, “projects’. status’ AS t1_r9, “projects’.’lft" AS t1_r10, "projects’.’rgt’
AS t1_r11, “projects’."inherit_members™ AS t1_r12, “projects’. product_backlog_id" AS t1_r13, “issue_statuses’.’id" AS t2_r0,
‘issue_statuses’.'name’ AS t2_r1, “issue_statuses’.’is_closed” AS t2_r2, “issue_statuses’."is_default” AS t2_r3,

‘issue_statuses’. position” AS t2_r4, “issue_statuses’. default_done_ratio” AS t2_r5, “trackers’.’id” AS t3_r0, ‘trackers’."name” AS
t3_r1, “trackers’."is_in_chlog” AS t3_r2, "trackers™. position” AS t3_r3, “trackers’.’is_in_roadmap" AS t3_r4, “trackers’. fields_bits’ AS
t3_r5, "users’.’id” AS t4_r0, ‘users’.’login° AS t4_r1, "users’."hashed_password™ AS t4_r2, ‘users’. firsthame™ AS t4_r3,
‘users’.’lastname’™ AS t4_r4, "users’."'mail’ AS t4_r5, "users’."admin’ AS t4_r6, “users’. status’ AS t4_r7, "users’.’last_login_on" AS
t4_r8, "users’.'language” AS t4_r9, ‘users’.’auth_source_id" AS t4_r10, "users’.'created_on" AS t4_r11, ‘users’.’'updated_on" AS
t4_r12, ‘users’.’type’ AS t4_r13, "users’."identity_url” AS t4_r14, "users’."mail_notification” AS t4_r15, “users’.’salt” AS t4_r16,
‘users’."must_change_passwd’ AS t4_r17, "users’.’passwd_changed_on’ AS t4_r18, “enumerations’.’id" AS t5_r0,
‘enumerations’.’ name’” AS t5_r1, "'enumerations’.’position” AS t5_r2, “enumerations’.’is_default” AS t5_r3, ‘enumerations’.’type" AS
t5_r4, ‘enumerations’.’active” AS t5_r5, “enumerations’. project_id" AS t5_r6, "enumerations’.’parent_id" AS t5_r7,

“enumerations’. position_name’ AS t5_r8, “sprints’.’id" AS t6_r0, “sprints’."name’ AS t6_r1, “sprints’."description” AS t6_r2,
“sprints’. start_date” AS t6_r3, “sprints’.’end_date’ AS t6_r4, “sprints’.’user_id" AS t6_r5, “sprints’. project_id® AS t6_r6,

“sprints™. created_on” AS t6_r7, “sprints’.’'updated_on" AS t6_r8, “sprints’.’is_product_backlog" AS t6_r9 FROM ‘issues’ INNER
JOIN “issue_statuses” ON “issue_statuses’.’id" = “issues’. status_id" INNER JOIN “projects™ ON “projects’.’id" = “issues’. project_id"
LEFT OUTER JOIN “trackers® ON “trackers’.’id" = “issues’. tracker_id" LEFT OUTER JOIN “users® ON ‘users’.’id" =

‘issues’. assigned_to_id" LEFT OUTER JOIN “enumerations® ON “enumerations’.’id" = “issues’. priority_id" AND
“enumerations’. type” IN ('IssuePriority') LEFT OUTER JOIN “sprints® ON “sprints™."id" = “issues’. sprint_id" WHERE (projects.status
<> 9 AND projects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='issue_tracking')) AND
((issues.status_id IN (SELECT id FROM issue_statuses WHERE is_closed=0)) AND projects.id = 1) AND (((start_date BETWEEN
'2014-12-29' AND '2015-02-01") OR (due_date BETWEEN '2014-12-29' AND '2015-02-01")))

Rendered common/error.html.erb within layouts/base (2.0ms)

Rendered plugins/advanced_roadmap_v2/app/views/hooks/_stylesheet.html.erb (0.8ms)

Rendered plugins/redmine_code_review/app/views/code_review/_html_header.html.erb (6.2ms)

Rendered plugins/scrum/app/views/scrum_hooks/_head.html.erb (1.1ms)

Rendered plugins/clipboard_image_paste/app/views/clipboard_image_paste/_headers.html.erb (1.9ms)

Rendered plugins/redmine_banner/app/views/banner/_project_body_bottom.html.erb (24.1ms)

Rendered plugins/redmine_code_review/app/views/code_review/_body_bottom.html.erb (2.4ms)

Rendered plugins/clipboard_image_paste/app/views/clipboard_image_paste/_add_form.html.erb (36.9ms)

Completed 500 Internal Server Error in 1092.3ms (Views: 299.4ms | ActiveRecord: 48.6ms)
start_date BETWEEN '2014-12-29' AND '2015-02-01'

Related issues:
Has duplicate Scrum - Defect #847: Calendar shows 500 after install

Resolved

History

#1 - 2015-01-22 12:29 - Stanislas Dourdin

Hello,

| posted a solution here : https:/redmine.ociotec.com/issues/847#note-4

#2 - 2015-01-23 03:09 - an li

Yes, the solution works, | tested in scrum 0.7.1.

#3 - 2015-01-23 19:54 - Emilio Gonzalez Montafia
- Has duplicate Defect #847: Calendar shows 500 after install added

#4 - 2015-01-23 19:54 - Emilio Gonzalez Montaha

- Status changed from New to Rejected

Duplicated by #847.
